# kcdirdb.h File Reference

directory hash database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcdb.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcplantdb.h>`

## Classes

class | kyotocabinet::DirDB
| Directory hash database. More...
class | kyotocabinet::DirDB::Cursor
| Cursor to indicate a record. More...
struct | kyotocabinet::DirDB::Record
| Record data.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Typedefs

typedef PlantDB< DirDB, BasicDB::TYPEFOREST > | kyotocabinet::ForestDB
| An alias of the directory tree database.

## Detailed Description

directory hash database